org.richfaces.validator

## Interface BeanValidatorService

- All Known Implementing Classes:
    BeanValidatorServiceImpl, DummyBeanValidatorService

      public interface BeanValidatorService

  This interface describes service that gets Bean Validator constrains for EL-expressions

  Author:
    asmirnov@exadel.com

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<ValidatorDescriptor>` | `getConstrains(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, String message, Class<?>... groups)` Get all constrains for given EL-expression
    `Collection<String>` | `validateExpression(javax.faces.context.FacesContext context, javax.el.ValueExpression expression, Object newValue, Class<?>... groups)` Validate expression for a new value.
    `Collection<String>` | `validateObject(javax.faces.context.FacesContext context, Object object, Class<?>... groups)` Validate entire object.

- - ### Method Detail

    - #### getConstrains

          Collection<ValidatorDescriptor> getConstrains(javax.faces.context.FacesContext context,
                                                        javax.el.ValueExpression expression,
                                                        String message,
                                                        Class<?>... groups)

      Get all constrains for given EL-expression

      Parameters:
        `context` -
        `expression` -
        `message` - TODO

    - #### validateExpression

          Collection<String> validateExpression(javax.faces.context.FacesContext context,
                                                javax.el.ValueExpression expression,
                                                Object newValue,
                                                Class<?>... groups)

      Validate expression for a new value.

      Parameters:
        `context` -
        `expression` -
        `newValue` -
        `groups` -

    - #### validateObject

          Collection<String> validateObject(javax.faces.context.FacesContext context,
                                            Object object,
                                            Class<?>... groups)

      Validate entire object.

      Parameters:
        `context` -
        `object` -
        `groups` -

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.